<?php
/**
 * 用户管理
 * $Id: user_edit_result.php,v 1.1 2016-9-22 09:58:31 cuixl Exp $
 * @author cuixl
 * @package manager.public_html
 */

// 底层包含
require_once("manager_include.inc");

// 登录检查
require_once("check_login.inc");

// 权限检查
if (!checkAuthority("ADMIN")) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	$message = "权限不足，请联系系统管理员。";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

// 参数取得
$id = ParamUtil::getRequestString("id");
$user_mst = UserMst::getById($id);
if ($user_mst == null) {
	// エラー表示
	$layout_pages = array();
	$layout_pages["footer"] = "footer.inc";
	$layout_pages["top"] = "menu.inc";
	$layout_pages["middle"] = "error.inc";
	require_once(MANAGER_TEMPLATE_DIR_PATH . "/layout/topmenutopsub_layout.inc");
	exit;
}

//添加积分账户
$user_point_log = new UserPointLog();
$user_point_log->appid = $user_mst->appid;
$user_point_log->user_id = $user_mst->id;
$user_point_log->openid = $user_mst->openid;
$user_point_log->action_type = 9;
$user_point_log->donation_dat_id = 0;
$user_point_log->point = 10;
$user_point_log->status = "SUCCESS";
$user_point_log->save();
//更新用户账户
$user_mst->point = $user_mst->point + 10;
$user_mst->save();

// 跳到一览页
header("Location:user_list.php");
exit;